source s_network {
	tcp(
		port({{ settings.tcp }})
	);
	udp(
		port({{ settings.udp }})
	);
};

template t_network {
	template("$S_DATE $HOST $FACILITY $PRIORITY $PROGRAM $MSG\n");
	template_escape(no);
};

destination d_network_f { 
	file(
		"/mnt/sataraid1/share/LAN DISK Log/SysLogServer/${HOST}/${YEAR}${MONTH}/syslog_${YEAR}${MONTH}${DAY}.log"
		template(t_network)
		perm(0666)
		dir_perm(0777)
		create-dirs(yes)
	);
};

{% if settings.enabled %}
log{source(s_network); destination(d_network_f);};

{% for alert in alertlist %}
filter f_alert_{{ forloop.counter }} {
	{{ alert.filter|safe }}
};
destination d_alert_{{ forloop.counter }} {
	program(
		"/mnt/data/conf/syslogsrv/send_eventlog.sh"
		template("{{ alert.name }}\n")
	);
};
log{
	source(s_network);
	filter(f_alert_{{ forloop.counter }});
	destination(d_alert_{{ forloop.counter }});
};
{% endfor %}
{% endif %}
